package org.gcube.common.clients.stubs.jaxws.proxies;

import java.lang.reflect.Proxy;

public class GenericProxyFactory {
	
	@SuppressWarnings("unchecked")
	public static  <T, I extends T>  T getProxy(Class<T> intf, 
			final I obj) {
		return (T) 
				Proxy.newProxyInstance(obj.getClass().getClassLoader(),
					new Class[] { intf },
					new MethodRetriever<I>(obj));
	}
}